using ShipyardContracts.Attributes;
using ShipyardDataModels.Enums;
using ShipyardDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ShipyardContracts.ViewModels
{
    public class OrderViewModel:IOrderModel
    {
        [Column(title: "Номер", width: 150)]
        public int Id { get; set; }

        [Column(visible: false)]
        public int ShipId { get; set; }

        [Column(title: "Корабль", width: 150)]
        public string ShipName { get; set; } = string.Empty;

        [Column(visible: false)]
        public int ClientId { get; set; }

        [Column(title: "Клиент", width: 150)]
        public string ClientFIO { get; set; } = string.Empty;

        [Column(visible: false)]
        public int? ImplementerId { get; set; }

        [Column(title: "Исполнитель", width: 150)]
        public string ImplementerFIO { get; set; } = string.Empty;

        [Column(title: "Количество", width: 150)]
        public int Count { get; set; }

        [Column(title: "Сумма", width: 150)]
        public double Sum { get; set; }

        [Column(title: "Статус", width: 150)]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [Column(title: "Дата создания", width: 150)]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [Column(title: "Дата выполнения", width: 150)]
        public DateTime? DateImplement { get; set; }
    }
}
